##############################################################################
# Kube module, A content wrapper object for use with Zope Page Templates.
#
# This is Open Source Software
# Copyright 2002 Isaac Levy, under the terms of the BSD open liscense.
# informatikbro tactical division
#
# This product includes software developed by Digital Creations/ ZOPE, INC
# for use in the Z Object Publishing Environment
# (http://www.zope.org/).
# Much of the code was basd on the LockableFolder Product
# Please continue to support Zope, and other projects that dare to think differently.
# 
# 
# Disclaimer
# 
#   THIS SOFTWARE IS PROVIDED BY ISAAC LEVY ``AS IS'' AND ANY
#   EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL ISAAC LEVY OR HIS
#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
#   SUCH DAMAGE.
# 
# 
##############################################################################

from Kube import Kube, addFolderForm, manage_addFolder
from Globals import ImageFile
import OFS

def initialize(registrar):
    registrar.registerClass(
        Kube, 
        constructors = (addFolderForm, manage_addFolder),
        icon = 'images/kubeicon.gif'
        )
    registrar.registerHelp()